	
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Punto de Venta
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento</li>
				<li class="breadcrumb-item" >Sucursal</li>
				<li class="breadcrumb-item active">Punto de Venta</li>
            </ol>
          </div>
		</div>
	</div>
</div>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;"  >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="puntoventa_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>

	
	<!-- formulario de registro -->
			<div class="modal fade" id="div_puntoventa_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog "  role="document" >
			<div class="modal-content">
			<div class="modal-body div_puntoventa_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
	<!-- tabla de registros -->	
	<div id="div_puntoventa_tabla"></div>
	

<script type="text/javascript">
	function puntoventa_tabla()
	{	
		$.ajax({
			type: "POST",
			url: "../puntoventa/puntoventa_tabla.php",
			async:true,
			dataType: "html",                      
			data: ({
		}),
			beforeSend: function() {
				$('#div_puntoventa_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_puntoventa_tabla').html(html);
			},
			complete: function(){			
				$('#div_puntoventa_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	function puntoventa_form(act,idf)
	{
		$('#div_puntoventa_form_dialog').modal();
		$.ajax({
			type: "POST",
			url: "../puntoventa/puntoventa_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				punven_id:	idf,
				vista:	'puntoventa_tabla'
			}),
			beforeSend: function() {		
			var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";				
			$('.div_puntoventa_form').html(div);
			},
			success: function(html){
			$('.div_puntoventa_form').html(html);	
			}
		});
	}
	function eliminar_puntoventa(id)
	{   
		$('#msj_puntoventa').hide();   
		if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../puntoventa/puntoventa_reg.php",
				async:true,
				dataType: "html",
				data: ({
					action: "eliminar",
					id:		id
				}),
				beforeSend: function() {
			
				},
				success: function(html){
					toastr["success"](html);	
				},
				complete: function(){
					puntoventa_tabla();
				}
			});
		}
	}
//
$(function() {
	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../puntoventa/puntoventa_vista.php");
	});
	
	$("#div_puntoventa_form_dialog").on('hidden.bs.modal', function(){
          	//$("#content").load("../puntoventa/puntoventa_vista.php");
	});
		
	puntoventa_tabla();
	
	setTitle("PUNTO DE VENTA - "+nombreEmpresa);	
	
});
</script>